class_parents
iterator_count
SPL Funkcje
PHP Manual

# iterator_apply

(PHP 5 >= 5.1.0)

iterator_apply — Apply a user function to every element of an iterator

### Opis

int iterator_apply ( Traversable `$iterator` , callback `$function` [, array `$args` ] )

Calls a function for every element in an iterator.

### Parametry

`iterator`

  The class to walk through.

`function`

  The callback function to call on every element.

`args`

  Arguments to pass to the callback function.

### Zwracane wartości

Returns the iteration count.

### Zobacz też:

- array_walk() - Zastosuj funkcję użytkownika do każdego elementu tablicy

class_parents
iterator_count
SPL Funkcje
PHP Manual